Bug 180193 - Nagios plugins dir, Debian and the USER1 var
Nagios plugins dir, Debian and the USER1 var
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
: 180190 180194 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-06 13:17 EST by Paul Wouters
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-23 23:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2006-02-06 13:17:53 EST
From Bugzilla Helper:
User-Agent: Googlebot/2.1 (+http://www.google.com/bot.html)

Description of problem:
A softlink from /var/lib/nagios/libexec to /usr/lib/nagios/plugins is no longer provided. This breaks nagios on cross platform distribution (eg debian) since no longer a single USER1 variable can be used and commands would have to be seperately defined for debian vs fedora machines.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.install nagios
2.check for the missing softlink

Actual Results:  all my previously defined commands were suddenly broken due to a different USER1 variable.

Additional info:
Comment 1 Paul Wouters 2006-02-06 13:28:27 EST
actually, what happened is that a new directory was created, so now i have an
almost empty /usr/lib/nagios/plugins that just contains a directory
eventhandles, and a full directly of /var/lib/nagios/libexec with plugins. I
guess I need to change USER1 again to point to the old directory.
(sorry for the bad title, i stupidly re-used the previous submission entry)
Comment 2 Paul Wouters 2006-02-06 13:29:10 EST
*** Bug 180194 has been marked as a duplicate of this bug. ***
Comment 3 Mike McGrath 2006-02-06 13:36:03 EST
Where does Debian put its plugins?

Also nagios-plugins is in waiting for review right now.  It stores things in

Also, the nagios-plugins you have, where did you get it from?
Comment 4 Peter E. Popovich 2006-02-19 01:06:05 EST
Saw this and figured I'd comment...

Debian apparently[1] puts its plugins in /usr/lib/nagios/plugins.  Dunno about
Paul, but I'm currently using the RPMForge verion[2], which uses
/usr/lib/nagios/plugins, too

(I'm probably stating the obvious, but the plugin scripts are relatively static.
 /var would not be a good place for them.)

[2] http://dries.ulyssis.org/rpm/packages/nagios-plugins/info.html 
Comment 5 Mike McGrath 2006-03-11 11:18:53 EST
*** Bug 180190 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.